Bug Hunting Session
Bug 100811 - function CONVERT_ADD - some unit conversions not supported
Summary: function CONVERT_ADD - some unit conversions not supported
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-08 09:36 UTC by raal
Modified: 2016-10-25 18:39 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test case (384.48 KB, application/vnd.oasis.opendocument.spreadsheet-flat-xml)
2016-07-08 09:36 UTC, raal
Details
modified and used test document (41.67 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-07-11 10:47 UTC, Winfried Donkers (retired)
Details
modified and used test document (39.84 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-07-11 14:04 UTC, Winfried Donkers (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2016-07-08 09:36:36 UTC
Created attachment 126124 [details]
test case

See the test case -  red rows. Some unit conversions are not supported - units picapt2, pica, uk_ton, GRT, picapt3, pica3.

Specification of function: http://docs.oasis-open.org/office/v1.2/os/OpenDocument-v1.2-os-part2.html#__RefHeading__1018496_715980110

ODF function CONVERT = Calc's function CONVERT_ADD, see bug 69539.
Comment 1 Winfried Donkers (retired) 2016-07-11 09:30:05 UTC
I will add support for
pica
pica3
picapt2
picapt3
uk_ton
GRT
Comment 2 Winfried Donkers (retired) 2016-07-11 10:07:34 UTC
uk_ton is already supported; in the test document a trailing space is present...
Comment 3 Winfried Donkers (retired) 2016-07-11 10:31:00 UTC
(In reply to Winfried Donkers from comment #2)
> uk_ton is already supported; in the test document a trailing space is
> present...

Same for GRT.
Comment 4 Winfried Donkers (retired) 2016-07-11 10:47:47 UTC
Created attachment 126162 [details]
modified and used test document

This document has all TRUE results (with the bug fix applied).
Also, all comparisons are done with ROUND(x;12) to avoid false negatives because of floating point binary/decimal conversions.
Comment 5 Winfried Donkers (retired) 2016-07-11 14:04:24 UTC
Created attachment 126165 [details]
modified and used test document

Added missing unit pica2.
Comment 6 Commit Notification 2016-07-11 14:48:54 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3d76efdaad84e288e5e85b4f25e69892fec12f25

tdf#100811 Add extra conversion units to ODFF function CONVERT

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.